PingTime (3.14.0 310 API)
Date: 2018-05-30

com.marketfactory.zerogc.api

## Class PingTime

- java.lang.Object
- - com.marketfactory.zerogc.api.PingTime

-     public final class PingTime
      extends java.lang.Object

  Contains information about latencies. The client sends a ping message the server and the server sends a response back. The timestamps are captured are in Nanos past epoch. The Java timestamps (at the client) have no micros or millis and are simply the epoch milliseconds x 1_000_000. If the PingTime values are not set, they will have a value of `NO_VALUE`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `NO_VALUE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyValuesFrom(PingTime other)`
    `long` | `getAtServer()` Returns the epoch nano timestamp the ping was received from at the server
    `long` | `getReceived()` Returns the epoch nano timestamp the ping was received back the client.
    `long` | `getSent()` Returns the epoch nano timestamp the ping was sent from this client to the server
    `void` | `set(long sent, long atServer, long received)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NO_VALUE

          public static long NO_VALUE

  - ### Method Detail

    - #### set

          public void set(long sent,
                          long atServer,
                          long received)

    - #### copyValuesFrom

          public void copyValuesFrom(PingTime other)

    - #### getSent

          public long getSent()

      Returns the epoch nano timestamp the ping was sent from this client to the server
      Returns:
        timestamp epoch nanos the ping was sent to the server

    - #### getAtServer

          public long getAtServer()

      Returns the epoch nano timestamp the ping was received from at the server
      Returns:
        timestamp epoch nanos the ping was received at the server

    - #### getReceived

          public long getReceived()

      Returns the epoch nano timestamp the ping was received back the client. Received means that the ping response message was deserialized and processed
      Returns:
        timestamp epoch nanos the ping was received back at the client

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`